# H501_UsageField Class Reference

`#include <h501.h>`

Inheritance diagram for H501_UsageField:

List of all members.

## Public Member Functions

| H501_UsageField (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_ObjectId | m_id
PASN_OctetString | m_value

## Constructor & Destructor Documentation

H501_UsageField::H501_UsageField | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H501_UsageField::GetDataLength | ( |  | ) | const

PBoolean H501_UsageField::Decode | ( | PASN_Stream & | strm | ) |

void H501_UsageField::Encode | ( | PASN_Stream & | strm | ) | const

void H501_UsageField::PrintOn | ( | ostream & | strm | ) | const

Comparison H501_UsageField::Compare | ( | const PObject & | obj | ) | const

PObject* H501_UsageField::Clone | ( |  | ) | const

## Member Data Documentation

PASN_ObjectId H501_UsageField::m_id

PASN_OctetString H501_UsageField::m_value

The documentation for this class was generated from the following file:

- h501.h